WP6CharacterGroup Class Reference documentation

WP6CharacterGroup Class Reference

`#include <WP6CharacterGroup.h>`

Inheritance diagram for WP6CharacterGroup:

## Public Member Functions
| WP6CharacterGroup (librevenge::RVNGInputStream *input, WPXEncryption *encryption)
| ~WP6CharacterGroup () override
void | _readContents (librevenge::RVNGInputStream *input, WPXEncryption *encryption) override
void | parse (WP6Listener *listener) override
Public Member Functions inherited from WP6VariableLengthGroup
| WP6VariableLengthGroup ()
| ~WP6VariableLengthGroup () override
Public Member Functions inherited from WP6Part
virtual | ~WP6Part ()

## Private Member Functions
| WP6CharacterGroup (const WP6CharacterGroup &)
WP6CharacterGroup & | operator= (const WP6CharacterGroup &)

## Private Attributes
std::unique_ptr< WP6VariableLengthGroup_SubGroup > | m_subGroupData

## Additional Inherited Members
Static Public Member Functions inherited from WP6VariableLengthGroup
static WP6VariableLengthGroup * | constructVariableLengthGroup (librevenge::RVNGInputStream *input, WPXEncryption *encryption, const unsigned char groupID)
static bool | isGroupConsistent (librevenge::RVNGInputStream *input, WPXEncryption *encryption, const unsigned char groupID)
Static Public Member Functions inherited from WP6Part
static WP6Part * | constructPart (librevenge::RVNGInputStream *input, WPXEncryption *encryption, const unsigned char readVal)
Protected Member Functions inherited from WP6VariableLengthGroup
void | _read (librevenge::RVNGInputStream *input, WPXEncryption *encryption)
unsigned char | getSubGroup () const
unsigned short | getSize () const
unsigned char | getFlags () const
unsigned char | getNumPrefixIDs () const
const unsigned short * | getPrefixIDs () const
unsigned short | getSizeNonDeletable () const
unsigned short | getSizeDeletable () const

## Constructor & Destructor Documentation

## ◆ WP6CharacterGroup() [1/2]

WP6CharacterGroup::WP6CharacterGroup | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption )

Referenced by operator=(), and WP6CharacterGroup().

## ◆ ~WP6CharacterGroup()

WP6CharacterGroup::~WP6CharacterGroup | ( |  | ) |
| override

## ◆ WP6CharacterGroup() [2/2]

WP6CharacterGroup::WP6CharacterGroup | ( | const WP6CharacterGroup & |  | ) |
| private

## Member Function Documentation

## ◆ _readContents()

void WP6CharacterGroup::_readContents | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption )
| overridevirtual

Reimplemented from WP6VariableLengthGroup.

## ◆ operator=()

WP6CharacterGroup & WP6CharacterGroup::operator= | ( | const WP6CharacterGroup & |  | ) |
| private

## ◆ parse()

void WP6CharacterGroup::parse | ( | WP6Listener * | listener | ) |
| overridevirtual

Implements WP6Part.

## Member Data Documentation

## ◆ m_subGroupData

std::unique_ptr<WP6VariableLengthGroup_SubGroup> WP6CharacterGroup::m_subGroupData
| private

Referenced by _readContents(), parse(), and WP6CharacterGroup().

The documentation for this class was generated from the following files:

- WP6CharacterGroup.h
- WP6CharacterGroup.cpp